# {{ ansible_managed }}
server {
    listen 80 ;
    server_name perltuts.caliu.cat perltuts.com dev.perltuts.com ;
    return 301 https://$host$request_uri ;
}

server {
    listen       443 ssl ;
    server_name  perltuts.caliu.cat perltuts.com dev.perltuts.com ;

    error_page   500 502 503 504  /50x.html;
    location = /50x.html {
        root   /var/www/nginx-default;
    }

    location ^~ /.well-known/acme-challenge/ {
        root /var/www/murdock;
    }

    location /log {
        proxy_set_header  X-Real-IP  $remote_addr;
        proxy_set_header  Host $host;
        proxy_set_header  X-Forwarded-For  $proxy_add_x_forwarded_for;
        proxy_set_header  X-Forwarded-Port $server_port;
        proxy_set_header  X-Forwarded-Proto $scheme ;

        proxy_pass        http://{{ hostvars['perens.caliu.cat']['ansible_facts']['default_ipv4']['address'] }}:80;
        proxy_redirect    http://{{ hostvars['perens.caliu.cat']['ansible_facts']['default_ipv4']['address'] }}:80 https://$host ;

        allow {{ hostvars['larry.caliu.cat']['ansible_facts']['ansible_local']['perltuts']['log']['allow'] }};
        deny all;
    }



    # reverse proxy to Perens
    location / {
        proxy_set_header  X-Real-IP  $remote_addr;
        proxy_set_header  Host $host;
        proxy_set_header  X-Forwarded-For  $proxy_add_x_forwarded_for;
        proxy_set_header  X-Forwarded-Port $server_port;
        proxy_set_header  X-Forwarded-Proto $scheme ;

        proxy_pass        http://{{ hostvars['perens.caliu.cat']['ansible_facts']['default_ipv4']['address'] }}:80;
        proxy_redirect    http://{{ hostvars['perens.caliu.cat']['ansible_facts']['default_ipv4']['address'] }}:80 https://$host ;

        proxy_buffer_size       128k;
        proxy_buffers           4 256k;
        proxy_busy_buffers_size 256k;
    }

    ssl_certificate     /home/acme/.acme.sh/perltuts.caliu.cat/fullchain.cer ;
    ssl_certificate_key /home/acme/.acme.sh/perltuts.caliu.cat/perltuts.caliu.cat.key ;
    include ssl.conf ;
}
